# Generated by rust2rpm 17
%bcond_without check
%global debug_package %{nil}

%global crate wasmtime-runtime

Name:           rust-%{crate}
Version:        0.28.0
Release:        1%{?dist}
Summary:        Runtime library support for Wasmtime

# Upstream license specification: Apache-2.0 WITH LLVM-exception
License:        ASL 2.0 with exceptions
URL:            https://crates.io/crates/wasmtime-runtime
Source:         %{crates_source}
# Initial patched metadata
# Remove windows-only and macos-only dependencies
Patch0:         wasmtime-runtime-fix-metadata.diff

	
# Wasmtime depends on Cranelift, which currently only
# supports x86_64, aarch64 and s390x.

# https://bugzilla.redhat.com/show_bug.cgi?id=1966344
ExcludeArch: %{ix86}
# https://bugzilla.redhat.com/show_bug.cgi?id=1966346
ExcludeArch: %{arm32}
# https://bugzilla.redhat.com/show_bug.cgi?id=1966347
ExcludeArch: %{power64}

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Runtime library support for Wasmtime.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%doc README.md
%license LICENSE
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+async-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+async-devel %{_description}

This package contains library source intended for building other packages
which use "async" feature of "%{crate}" crate.

%files       -n %{name}+async-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+wasmtime-fiber-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+wasmtime-fiber-devel %{_description}

This package contains library source intended for building other packages
which use "wasmtime-fiber" feature of "%{crate}" crate.

%files       -n %{name}+wasmtime-fiber-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sun Jul 18 18:37:49 CEST 2021 Olivier Lemasle <o.lemasle@gmail.com> - 0.28.0-1
- Initial package
